Subject: Re: 2.6.25-rc8: WARNING: at net/ipv4/tcp_input.c:2173 tcp_mark_head_lost+0x11d/0x150()

From: Soeren Sonnenburg <[email-masked]>
Date: Thu, 03 Apr 2008 15:40:08 +0200

On Thu, 2008-04-03 at 16:26 +0300, Ilpo Järvinen wrote:
> On Thu, 3 Apr 2008, Soeren Sonnenburg wrote:
> 
> > trying to download things, I am seeing this (ignore the tainted, it is
> > from madwifi and although the module is loaded the device was never
> > used)
> > 
> > Could anyone make sense of this please?
> 
> ...I'm just trying to find out who and where invariants of the TCP code
> are broken. These were relatively recently enabled (pre-2.6.24 just didn't 
> care too much). A number of long standing issues plus bugs from my 
> modifications have been fixed because of the more rigid checking :-).
> 
> > ------------[ cut here ]------------
> > WARNING: at net/ipv4/tcp_input.c:2173 tcp_mark_head_lost+0x11d/0x150()
> 
> > ------------[ cut here ]------------
> > WARNING: at net/ipv4/tcp_input.c:1771 tcp_enter_frto+0x267/0x270()
> 
> > ------------[ cut here ]------------
> > WARNING: at net/ipv4/tcp_input.c:2532 tcp_ack+0x1a6f/0x1d60()
> 
> Can you reproduce it? 

Yes, by massively downloading things :-) But I have no real recipe to
make it easily reproducible...

Looks like you are in fact interested in:
grep WARNING: /var/log/kern.log | cut -c 40- | sort -u

net/ipv4/tcp_input.c:1771 tcp_enter_frto+0x267/0x270()
net/ipv4/tcp_input.c:2173 tcp_mark_head_lost+0x11d/0x150()
net/ipv4/tcp_input.c:2532 tcp_ack+0x1a6f/0x1d60()
net/ipv4/tcp_input.c:3067 tcp_ack+0x1d2b/0x1d60()

> Please include netdev next time while report networking related problems.

OK
Soeren